<?php

namespace Schaffen\Gef\Transformers;

use League\Fractal\TransformerAbstract;
use Schaffen\Gef\Models\ApontamentoVeiculoGastoAnexo;

/**
 * Class ApontamentoVeiculoGastoAnexoTransformer.
 *
 * @package namespace Schaffen\Gef\Transformers;
 */
class ApontamentoVeiculoGastoAnexoTransformer extends TransformerAbstract
{
    /**
     * Transform the ApontamentoVeiculoGastoAnexo entity.
     *
     * @param \Schaffen\Gef\Models\ApontamentoVeiculoGastoAnexo $model
     *
     * @return array
     */
    public function transform(ApontamentoVeiculoGastoAnexo $model)
    {
        return [
            'id'         => (int) $model->id,

            /* place your other model properties here */

            'created_at' => $model->created_at,
            'updated_at' => $model->updated_at
        ];
    }
}
